Summary: The VRML97 Library
Name: vrml97
%define version 990729
Version: %{version}
Release: 1b
Copyright: Chris Morley
Group: Libraries
Source0: vrml97-%{version}.tar.bz2
Patch0: vrml97-%{version}-gtklookat.patch
Patch1: vrml97-%{version}-noerrorcheck.patch
BuildRoot: /tmp/vrml97-root
Prefix: /usr

%description
LibVRML97 is a portable C++ class library for reading and displaying
VRML97 files. A number of example programs showing how to integrate
this library into various window system toolkits are provided, including
browsers based on GLUT, GTK, and GLUT.

The code is copyrighted, but is provided free of charge for any purpose.
The library includes the SGI VRML2 parser, which has its own copyright
(see README-SGI.txt) and uses other libraries which may have their own
restrictions. The xmlookat example program is provided under the GPL.
The GTK viewer and gtklookat example program are provided under the GPL.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
%patch0 -p1
%patch1 -p1

%build
(cd /usr/include/gtk
mv gtkitemfactory.h gtkitemfactory.h.ORIG
sed -e 's;GtkItemFactoryCallback callback;GtkItemFactoryCallback1 callback;' gtkitemfactory.h.ORIG > gtkitemfactory.h
)

./configure --prefix=%{prefix}
make CFLAGS="$RPM_OPT_FLAGS -Wall" CXXFLAGS="$RPM_OPT_FLAGS -Wall"

%install
make install DESTDIR=$RPM_BUILD_ROOT
(cd /usr/include/gtk
mv -f gtkitemfactory.h.ORIG gtkitemfactory.h
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING INSTALL NEWS NODES README* TODO wrl
%{prefix}/bin/*
